Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
feb1::/16
First address
feb1::
Last address
feb1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
feb1:0000:0000:0000:0000:0000:0000:0000
Type
Link-local fe80::/10
Every IPv6 interface has one; not routed
Reverse DNS zone
1.b.e.f.ip6.arpa
Split into smaller subnets/24

feb1::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1feb1::/24feb1:ff:ffff:ffff:ffff:ffff:ffff:ffff
2feb1:100::/24feb1:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3feb1:200::/24feb1:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4feb1:300::/24feb1:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5feb1:400::/24feb1:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6feb1:500::/24feb1:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7feb1:600::/24feb1:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8feb1:700::/24feb1:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9feb1:800::/24feb1:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10feb1:900::/24feb1:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11feb1:a00::/24feb1:aff:ffff:ffff:ffff:ffff:ffff:ffff
12feb1:b00::/24feb1:bff:ffff:ffff:ffff:ffff:ffff:ffff
13feb1:c00::/24feb1:cff:ffff:ffff:ffff:ffff:ffff:ffff
14feb1:d00::/24feb1:dff:ffff:ffff:ffff:ffff:ffff:ffff
15feb1:e00::/24feb1:eff:ffff:ffff:ffff:ffff:ffff:ffff
16feb1:f00::/24feb1:fff:ffff:ffff:ffff:ffff:ffff:ffff
17feb1:1000::/24feb1:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18feb1:1100::/24feb1:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19feb1:1200::/24feb1:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20feb1:1300::/24feb1:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21feb1:1400::/24feb1:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22feb1:1500::/24feb1:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23feb1:1600::/24feb1:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24feb1:1700::/24feb1:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25feb1:1800::/24feb1:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26feb1:1900::/24feb1:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27feb1:1a00::/24feb1:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28feb1:1b00::/24feb1:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29feb1:1c00::/24feb1:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30feb1:1d00::/24feb1:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31feb1:1e00::/24feb1:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32feb1:1f00::/24feb1:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33feb1:2000::/24feb1:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34feb1:2100::/24feb1:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35feb1:2200::/24feb1:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36feb1:2300::/24feb1:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37feb1:2400::/24feb1:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38feb1:2500::/24feb1:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39feb1:2600::/24feb1:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40feb1:2700::/24feb1:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41feb1:2800::/24feb1:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42feb1:2900::/24feb1:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43feb1:2a00::/24feb1:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44feb1:2b00::/24feb1:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45feb1:2c00::/24feb1:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46feb1:2d00::/24feb1:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47feb1:2e00::/24feb1:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48feb1:2f00::/24feb1:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49feb1:3000::/24feb1:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50feb1:3100::/24feb1:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51feb1:3200::/24feb1:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52feb1:3300::/24feb1:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53feb1:3400::/24feb1:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54feb1:3500::/24feb1:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55feb1:3600::/24feb1:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56feb1:3700::/24feb1:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57feb1:3800::/24feb1:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58feb1:3900::/24feb1:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59feb1:3a00::/24feb1:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60feb1:3b00::/24feb1:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61feb1:3c00::/24feb1:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62feb1:3d00::/24feb1:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63feb1:3e00::/24feb1:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64feb1:3f00::/24feb1:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65feb1:4000::/24feb1:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66feb1:4100::/24feb1:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67feb1:4200::/24feb1:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68feb1:4300::/24feb1:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69feb1:4400::/24feb1:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70feb1:4500::/24feb1:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71feb1:4600::/24feb1:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72feb1:4700::/24feb1:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73feb1:4800::/24feb1:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74feb1:4900::/24feb1:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75feb1:4a00::/24feb1:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76feb1:4b00::/24feb1:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77feb1:4c00::/24feb1:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78feb1:4d00::/24feb1:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79feb1:4e00::/24feb1:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80feb1:4f00::/24feb1:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81feb1:5000::/24feb1:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82feb1:5100::/24feb1:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83feb1:5200::/24feb1:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84feb1:5300::/24feb1:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85feb1:5400::/24feb1:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86feb1:5500::/24feb1:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87feb1:5600::/24feb1:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88feb1:5700::/24feb1:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89feb1:5800::/24feb1:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90feb1:5900::/24feb1:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91feb1:5a00::/24feb1:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92feb1:5b00::/24feb1:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93feb1:5c00::/24feb1:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94feb1:5d00::/24feb1:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95feb1:5e00::/24feb1:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96feb1:5f00::/24feb1:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97feb1:6000::/24feb1:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98feb1:6100::/24feb1:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99feb1:6200::/24feb1:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100feb1:6300::/24feb1:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101feb1:6400::/24feb1:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102feb1:6500::/24feb1:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103feb1:6600::/24feb1:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104feb1:6700::/24feb1:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105feb1:6800::/24feb1:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106feb1:6900::/24feb1:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107feb1:6a00::/24feb1:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108feb1:6b00::/24feb1:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109feb1:6c00::/24feb1:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110feb1:6d00::/24feb1:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111feb1:6e00::/24feb1:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112feb1:6f00::/24feb1:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113feb1:7000::/24feb1:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114feb1:7100::/24feb1:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115feb1:7200::/24feb1:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116feb1:7300::/24feb1:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117feb1:7400::/24feb1:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118feb1:7500::/24feb1:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119feb1:7600::/24feb1:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120feb1:7700::/24feb1:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121feb1:7800::/24feb1:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122feb1:7900::/24feb1:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123feb1:7a00::/24feb1:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124feb1:7b00::/24feb1:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125feb1:7c00::/24feb1:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126feb1:7d00::/24feb1:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127feb1:7e00::/24feb1:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128feb1:7f00::/24feb1:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129feb1:8000::/24feb1:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130feb1:8100::/24feb1:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131feb1:8200::/24feb1:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132feb1:8300::/24feb1:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133feb1:8400::/24feb1:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134feb1:8500::/24feb1:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135feb1:8600::/24feb1:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136feb1:8700::/24feb1:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137feb1:8800::/24feb1:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138feb1:8900::/24feb1:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139feb1:8a00::/24feb1:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140feb1:8b00::/24feb1:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141feb1:8c00::/24feb1:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142feb1:8d00::/24feb1:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143feb1:8e00::/24feb1:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144feb1:8f00::/24feb1:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145feb1:9000::/24feb1:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146feb1:9100::/24feb1:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147feb1:9200::/24feb1:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148feb1:9300::/24feb1:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149feb1:9400::/24feb1:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150feb1:9500::/24feb1:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151feb1:9600::/24feb1:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152feb1:9700::/24feb1:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153feb1:9800::/24feb1:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154feb1:9900::/24feb1:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155feb1:9a00::/24feb1:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156feb1:9b00::/24feb1:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157feb1:9c00::/24feb1:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158feb1:9d00::/24feb1:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159feb1:9e00::/24feb1:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160feb1:9f00::/24feb1:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161feb1:a000::/24feb1:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162feb1:a100::/24feb1:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163feb1:a200::/24feb1:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164feb1:a300::/24feb1:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165feb1:a400::/24feb1:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166feb1:a500::/24feb1:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167feb1:a600::/24feb1:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168feb1:a700::/24feb1:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169feb1:a800::/24feb1:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170feb1:a900::/24feb1:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171feb1:aa00::/24feb1:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172feb1:ab00::/24feb1:abff:ffff:ffff:ffff:ffff:ffff:ffff
173feb1:ac00::/24feb1:acff:ffff:ffff:ffff:ffff:ffff:ffff
174feb1:ad00::/24feb1:adff:ffff:ffff:ffff:ffff:ffff:ffff
175feb1:ae00::/24feb1:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176feb1:af00::/24feb1:afff:ffff:ffff:ffff:ffff:ffff:ffff
177feb1:b000::/24feb1:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178feb1:b100::/24feb1:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179feb1:b200::/24feb1:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180feb1:b300::/24feb1:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181feb1:b400::/24feb1:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182feb1:b500::/24feb1:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183feb1:b600::/24feb1:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184feb1:b700::/24feb1:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185feb1:b800::/24feb1:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186feb1:b900::/24feb1:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187feb1:ba00::/24feb1:baff:ffff:ffff:ffff:ffff:ffff:ffff
188feb1:bb00::/24feb1:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189feb1:bc00::/24feb1:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190feb1:bd00::/24feb1:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191feb1:be00::/24feb1:beff:ffff:ffff:ffff:ffff:ffff:ffff
192feb1:bf00::/24feb1:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193feb1:c000::/24feb1:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194feb1:c100::/24feb1:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195feb1:c200::/24feb1:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196feb1:c300::/24feb1:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197feb1:c400::/24feb1:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198feb1:c500::/24feb1:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199feb1:c600::/24feb1:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200feb1:c700::/24feb1:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201feb1:c800::/24feb1:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202feb1:c900::/24feb1:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203feb1:ca00::/24feb1:caff:ffff:ffff:ffff:ffff:ffff:ffff
204feb1:cb00::/24feb1:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205feb1:cc00::/24feb1:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206feb1:cd00::/24feb1:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207feb1:ce00::/24feb1:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208feb1:cf00::/24feb1:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209feb1:d000::/24feb1:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210feb1:d100::/24feb1:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211feb1:d200::/24feb1:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212feb1:d300::/24feb1:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213feb1:d400::/24feb1:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214feb1:d500::/24feb1:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215feb1:d600::/24feb1:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216feb1:d700::/24feb1:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217feb1:d800::/24feb1:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218feb1:d900::/24feb1:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219feb1:da00::/24feb1:daff:ffff:ffff:ffff:ffff:ffff:ffff
220feb1:db00::/24feb1:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221feb1:dc00::/24feb1:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222feb1:dd00::/24feb1:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223feb1:de00::/24feb1:deff:ffff:ffff:ffff:ffff:ffff:ffff
224feb1:df00::/24feb1:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225feb1:e000::/24feb1:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226feb1:e100::/24feb1:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227feb1:e200::/24feb1:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228feb1:e300::/24feb1:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229feb1:e400::/24feb1:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230feb1:e500::/24feb1:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231feb1:e600::/24feb1:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232feb1:e700::/24feb1:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233feb1:e800::/24feb1:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234feb1:e900::/24feb1:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235feb1:ea00::/24feb1:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236feb1:eb00::/24feb1:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237feb1:ec00::/24feb1:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238feb1:ed00::/24feb1:edff:ffff:ffff:ffff:ffff:ffff:ffff
239feb1:ee00::/24feb1:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240feb1:ef00::/24feb1:efff:ffff:ffff:ffff:ffff:ffff:ffff
241feb1:f000::/24feb1:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242feb1:f100::/24feb1:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243feb1:f200::/24feb1:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244feb1:f300::/24feb1:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245feb1:f400::/24feb1:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246feb1:f500::/24feb1:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247feb1:f600::/24feb1:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248feb1:f700::/24feb1:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249feb1:f800::/24feb1:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250feb1:f900::/24feb1:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251feb1:fa00::/24feb1:faff:ffff:ffff:ffff:ffff:ffff:ffff
252feb1:fb00::/24feb1:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253feb1:fc00::/24feb1:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254feb1:fd00::/24feb1:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255feb1:fe00::/24feb1:feff:ffff:ffff:ffff:ffff:ffff:ffff
256feb1:ff00::/24feb1:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses